# Command Line Options

- The Geeqie User Manual
- Reference

Geeqie is called by the command:

          geeqie [options] [path_to_file_or_collection]
          1

These are the command line options available to Geeqie:

Short Option | Long Option | Description
--- | --- | ---
+t | --with-tools | Show file list, menu, and statusbar.
-t | --without-tools | Hide file list, menu, and statusbar. Window contains image only.
-f | --fullscreen | Start up in fullscreen.
-s | --slideshow | Start up in slideshow mode.
-l [filelist] [collectionlist] | --list [filelist] [collectionlist] | Open collection window containing images specified on the command line. Any collections on the command line will also be appended to this collection.
| --blank | Start with file list blank.
| --geometry=<w>x<h>+<x>+<y> | Set the <width> <height> <xoffset> <yoffset> of the window. The parameters are in pixels.
-r | --remote | Send command line options to existing Geeqie process.
-rh | --remote-help | List command line options available to --remote.
-h | --help | Display brief command line option list.
-v | --version | Display version of Geeqie.
| --debug[=<level>] | Turn on debugging output (when compiled with Debug enabled). <level> is 0 to 4.
-g:<regexp> | --grep:<regexp> | Filter debug output with regular expression
+w | --show-log-window | Display log window
-o:<file> | --log-file:<file> | Save log data to file
| --alternate | Use alternate similarity algorithm - experimental - requires re-compile.

- 13.1.1. Remote commands

## 13.1.1.Remote commands

The --remote command line option will send all entered commands to an existing Geeqie process, a new process will be started if one does not exist. These are the additional commands that can be used with the remote command:

Short Option | Long Option | Description
--- | --- | ---
-n | --next | Change main window to display next image.
-b | --back | Change main window to display previous image.
| --first | Change main window to display first image.
| --last | Change main window to display last image.
-f | --fullscreen | Toggle full screen mode of the main window.
-fs | --fullscreen-start | Start full screen mode for main window.
-fS | --fullscreen-stop | Stop full screen mode for main window.
-s | --slideshow | Toggle slide show for main window.
-ss | --slideshow-start | Start slide show for main window.
-sS | --slideshow-stop | Stop slide show for main window.
| --slideshow-recurse:<folder> | Start recursive slide show for <folder> in main window.
-d<[h:][m:][n][.m]> | --delay=<[h:][m:][n][.m]> | Set slide show delay to <[hrs:][mins:][n][.m]> seconds, range is 0.1 secs to 24 hours
+t | --tools-show | Show tools for main window.
-t | --tools-hide | Hide tools for main window.
-q | --quit | Quit Geeqie.
| --config-load:<file> | Load configuration from <file>.
| --get-sidecars:<file> | Get list of sidecars of <file>.
| --get-destination:<file> | Get destination path of <file>. This is used by the symlink desktop file to implement the symbolic link operation. There is no useful function for the user.
| file:<file> | Open <file> and bring Geeqie window to the top
| --file:<file> | Open <file> and bring Geeqie window to the top
| File:<file> | Open <file> and do not bring Geeqie window to the top
| --File:<file> | Open <file> and do not bring Geeqie window to the top
| --tell | Print filename [and Collection] of current image
| --pixel-info | Print X, Y and RGB of mouse pointer on current image
| view:<file> | Open new window containing <file>
| --view:<file> | Open new window containing <file>
| --list-clear | Clear command line collection list
| --list-add:<file> | Add <file> to command line collection list
| raise | Bring the geeqie window to the top
| --raise | Bring the geeqie window to the top
| --id:<ID> | Window ID for following commands 2
| --new-window | Open new window
| --close-window | Close window
-ct:clear|clean | --cache-thumbs:clear|clean | clear or clean thumbnail cache
-cs:clear|clean | --cache-shared:clear|clean | clear or clean shared thumbnail cache
-cm | --cache-metadata | clean the metadata cache
-cr:<folder> | --cache-render:<folder> | render thumbnails
-crr:<folder> | --cache-render-recurse:<folder> | render thumbnails recursively
-crs:<folder> | --cache-render-shared:<folder> | render thumbnails 3
-crsr:<folder> | --cache-render-shared-recurse:<folder> | render thumbnails recursively
| --lua:<file>,<lua script> | run lua script on file
| --PWD:<PWD> | Use PWD as working directory for following commands

1The name of a collection, with or without either path or extension (.gqv) may be used. If a path is not used and there is a name conflict with a file or folder, that will take precedence.
2

The ID is shown in the titlebar of the window. If multiple windows are open, it can be used to direct commands to a particular window e.g. --remote --id:main --tell

3

If standard thumbnail cache is not enabled, this command will be ignored.